Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Jessie-> Stretch lib changes
#1
After the book was written Raspbian Stretch was released (about 2 months after I submitted it, grrr), which is a nice update to the OS, but does mean that libs have changed,

I will adapt all code to work with Stretch, if you are using old Jessie, its time to update as Jessie is now considered to be over.

sudo apt-get update
sudo apt-get upgrade
This won't give you a version of Stretch more of a bit of both worlds, (you need to burn an new SD) but it will give you all new bits you need

you can also do
sudo apt-get dist-upgrade

Which will give you a full upgrade for your current version of Jessie  but with the new static libs, and retain all your current files avoiding the need for a full reburn of the SD but with the risk of some legacy libs still in place which may not work as expected now. (though if we're honest a full reburn is the best option here)

The only major complication is that there are now some new libs to use.

  1. GLESv2_static 
  2. EGL_static 
  3. vchiq_arm 
  4. vcos
  5. khrn_static 
  6. pthread 
in place of the 2 older GLESv2 and EGL libs
pthread is actually used a lot in the book, though the 1st few projects didn't need it, but with the expanded set of libs, pthread is now required also
Brian Beuken
Lecturer in Game Programming at Breda University of Applied Sciences.
Author of The Fundamentals of C/C++ Game Programming: Using Target-based Development on SBC's 



Reply
#2
making this sticky
Brian Beuken
Lecturer in Game Programming at Breda University of Applied Sciences.
Author of The Fundamentals of C/C++ Game Programming: Using Target-based Development on SBC's 



Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)